#
# spec file for package grpc-httpjson-transcoding
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define src_install_dir /usr/src/%{name}

Name:           grpc-httpjson-transcoding
Version:        20190920
Release:        2.10
Summary:        Library for transcoding HTTP/JSON to gRPC
License:        Apache-2.0
Group:          Development/Libraries/C and C++
Url:            https://github.com/grpc-ecosystem/%{name}
Source0:        %{name}-%{version}.tar.xz
Source100:      grpc-httpjson-transcoding-rpmlintrc
Patch0:         0001-bazel-Update-googleapis-and-do-not-define-custom-BUI.patch
BuildRequires:  fdupes
ExcludeArch:    %ix86

%description
grpc-httpjson-transcoding is a library that supports transcoding so that
HTTP/JSON can be converted to gRPC. It allows to provide APIs in both gRPC and
REST style at the same time.

%package source
Summary:        Source code of grpc-httpjson-transcoding
Group:          Development/Sources
BuildArch:      noarch

%description source
Source code of grpc-httpjson-transcoding - a library that supports transcoding
so that HTTP/JSON can be converted to gRPC. It allows to provide APIs in both
gRPC and REST style at the same time.

%prep
%autosetup -p1

%build

%install
mkdir -p %{buildroot}%{src_install_dir}
cp -r * %{buildroot}%{src_install_dir}
%fdupes %{buildroot}%{src_install_dir}

%files source
%license LICENSE
%doc README.md
%{src_install_dir}

%changelog
* Fri Jan 17 2020 Michał Rostecki <mrostecki@opensuse.org>
- Remove all subpackages except source - envoy-proxy needs the
  whole source tree instead of a library and there is no other
  consumer of grpc-httpjson-transcoding.
* Tue Nov  5 2019 mrostecki@opensuse.org
- Update to version 20190920:
  * Changed return of ByteCount() to use plain int64_t.
  * Relax Base64 Decoding Strict decoding breaks Base64 MIME encodings, which place newlines after a certain number of spaces. MIME encoding is commonly used by Java Clients.
  * Update googleapis and protobuf
  * Run clang-format
  * Make path matcher utility compilable with gcc 4.9
  * Replace std::set with std::unordered_set in path matcher utility
  * Make path_matcher.h compile with gcc 4.9
  * Replace std::set with std::unordered_set in path matcher
  * Replace a single character string literal with a character
- Add patch which fixes the build with newer googleapis:
  * 0001-bazel-Update-googleapis-and-do-not-define-custom-BUI.patch
* Mon Mar 18 2019 Michal Rostecki <mrostecki@opensuse.org>
- Add source package, which is needed to fix envoy-proxy.
  (boo#1129568)
* Thu Mar  7 2019 Michal Rostecki <mrostecki@opensuse.org>
- Add soname to all *.so* files.
* Fri Feb 22 2019 Michał Rostecki <mrostecki@opensuse.org>
- Adjust to downgraded version of googleapis.
* Fri Feb 15 2019 Jan Engelhardt <jengelh@inai.de>
- Update descriptions.
* Thu Nov 29 2018 Michał Rostecki <mrostecki@suse.de>
- Update to version 20181128:
  * bazel: Allow to distdir all dependencies
  * travis: Update Bazel version to 0.19.2
* Wed Nov 28 2018 Michał Rostecki <mrostecki@suse.de>
- Initial release - 20180530
